FUNCTION TEMPLA(3)

NAME
boost::property_tree::info_parser::read_info

SYNOPSIS

// In header: <boost/property_tree/info_parser.hpp>
template<typename Ptree>
  void read_info(const std::string & filename, Ptree & pt,
                 const Ptree & default_ptree,
                 const std::locale & loc = std::locale());

DESCRIPTION

Read INFO from a the given file and translate it to a property tree. The tree's key type must be a string type, i.e. it must have a nested value_type typedef that is a valid parameter for basic_ifstream.

Parameters:

    default_ptree
        If parsing fails, pt is set to a copy of this tree.

Notes:
    Replaces the existing contents. Strong exception guarantee.